<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/ASG/NamedTypeId.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.ASG.NamedTypeId</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../Synopsis.html" >Synopsis</a>.<a href="../ASG.html" >ASG</a>
</div><div class="class-name">class NamedTypeId

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/ASG.py.html" target="detail">../Synopsis/ASG.py</a></div> <div class="xref"><a href="../../../XRef/xref1.html#Synopsis.ASG.NamedTypeId" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line72" ><img src="../../../src-py.png" alt="source code"/></a></div></div>  <img alt="NamedTypeId-inheritance" src="NamedTypeId-inheritance.png" hspace="8" vspace="8" border="0" usemap="#NamedTypeId-inheritance_map" />
<map name="NamedTypeId-inheritance_map"><area alt="Scopes/Synopsis/ASG/DependentTypeId.html" href="DependentTypeId.html" shape="rect" coords="5, 156, 213, 180" />
<area alt="Scopes/Synopsis/ASG/BuiltinTypeId.html" href="BuiltinTypeId.html" shape="rect" coords="237, 156, 416, 180" />
<area alt="Scopes/Synopsis/Formatters/HTML/Fragments/TemplateSpecializations/TemplateSpecializations.html" href="../Formatters/HTML/Fragments/TemplateSpecializations/TemplateSpecializations.html" shape="rect" coords="440, 156, 957, 180" />
<area alt="Scopes/Synopsis/ASG/UnknownTypeId.html" href="UnknownTypeId.html" shape="rect" coords="981, 156, 1179, 180" />
<area alt="Scopes/Synopsis/ASG/DeclaredTypeId.html" href="DeclaredTypeId.html" shape="rect" coords="1203, 156, 1397, 180" />
<area alt="Scopes/Synopsis/Formatters/TOC/TOC.html" href="../Formatters/TOC/TOC.html" shape="rect" coords="1421, 156, 1619, 180" />
<area alt="Scopes/Synopsis/ASG/TypeId.html" href="TypeId.html" shape="rect" coords="817, 7, 961, 31" />
</map>
 <div class="doc">Named type abstract class</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="name">name</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line77" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__init__">__init__</a>(<span class="variable">self</span>, <span class="variable">language</span>, <span class="variable">name</span>)  </div> <div class="xref"><a href="../../../XRef/xref1.html#Synopsis.ASG.NamedTypeId.__init__" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line75" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<table width="100%" summary="Attributes Inherited from TypeId">
<tr><td colspan="2" class="heading">Attributes Inherited from TypeId</td></tr>
<tr><td class="inherited"><a href="TypeId.html#language" title="attribute TypeId.language">language</a></td></tr></table>
<table width="100%" summary="Methods Inherited from TypeId">
<tr><td colspan="2" class="heading">Methods Inherited from TypeId</td></tr>
<tr><td class="inherited"><a href="TypeId.html#accept" title="method TypeId.accept">accept</a></td></tr></table>
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:26:51 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
